Subject: Re: [PATCH v6] pack-bitmap: remove checks before bitmap_free

From: Junio C Hamano <[email-masked]>
Date: Thu, 05 Jun 2025 18:28:31 -0700

"Lidong Yan via GitGitGadget" <[email-masked]> writes:

> From: Lidong Yan <[email-masked]>
>
> In pack-bitmap.c:find_boundary_objects(), the roots_bitmap is only freed
> if cascade_pseudo_merges_1() fails. Since cascade_pseudo_merges_1() only
> use roots_bitmap as a mutable reference but not takes roots_bitmap's
> ownership.

Sorry but I cannot parse the last sentence above.  I would have
expected that "Since/Because X" to be followed by comma and a
sentence that describes the consequence of X.  Also "but not takes"
-> "but does not take", probably.